require( "scripts/style.lua" );



TitleFont = {
  standardFont,
  70,
  RedColor
};


MakeDialog
{
	-- Name the modal dialog
	name="creditswindow",
	Bitmap
	{
		image="backgrounds/credits",

		Text
		{
			font = TitleFont,
			name = "title",
			x=kCenter+53,y=32,w=600 ,h=75,
			flags = kHAlignCenter + kVAlignTop,
			label = "credits"
		};

		CreditsWindow
		{
			x = 152, y = 128,
			w = 600, h = 386,
			font = standardFont,
			fontsize = 25,
			fontcolor = WhiteColor,
			headercolor = RedColor,
			columngap = 50,
			columnwidth = 325,
			time = 20000, 		-- Time to play credits in milliseconds
			intropause = 3000, 	-- Time to pause credits at start, in ms
			file = "credits/credits.txt",
		},

		Text
		{
			flags=kHAlignCenter + kVAlignTop,
			x=171,y=578,
			w=600;h=39;
			label="#"..GetString("version",GetConfig(kGameVersion)) ;
		};

		SetStyle(ButtonStyle),
		Button
		{
			x=kCenter+55,
			y=kMax-64,
			name="back",
			default=true,
			cancel=true,
			label="back",
			command =
				function()
						PopModal("creditswindow");
				end
		};
	},
}